import Vue from "vue";
import Router from "vue-router";

// 解决重复点菜单报错问题
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);

export default new Router({
  mode: 'history',
  base: '/luohe_park',
  routes: [
    { path: "/", redirect: "/demo1" },
    {
      path: "/index",
      component: () => import("../pages/index/layouts/indexLayout.vue"),
      children: [
        {
          name: "demo1",
          path: "/demo1",
          component: () => import("../pages/index/components/demo1.vue")
        },
        {
          name: "demo2",
          path: "/demo2",
          component: () => import("../pages/index/components/demo2.vue")
        },
        {
          name: "parking_index",
          path: "/parking_index",
          component: () => import("../pages/index/components/parking_index.vue")
        },
        {
          name: "product_order_search",
          path: "/product_order_search",
          component: () => import("../pages/index/components/product_order_search.vue")
        },
        {
          name: "parking_order",
          path: "/parking_order",
          component: () => import("../pages/index/components/parking_order.vue")
        },
        {
          name: "berth_list",
          path: "/berth_list",
          component: () => import("../pages/index/components/berth_list.vue")
        },
        {
          name: "parking_card",
          path: "/parking_card",
          component: () => import("../pages/index/components/parking_card.vue")
        },
        {
          name: "parking_unpeak",
          path: "/parking_unpeak",
          component: () => import("../pages/index/components/parking_unpeak.vue")
        },
        {
          name: "appointment_rules",
          path: "/appointment_rules",
          component: () => import("../pages/index/components/appointment_rules.vue")
        },
        {
          name: "parking_correction",
          path: "/parking_correction",
          component: () => import("../pages/index/components/parking_correction.vue")
        },
      ]
    }
  ]
});
